<h1 class="ui dividing header">
  Your Dietary Incompatibilities
  <%= link_to new_diet_incompatibility_path, class: 'ui right floated primary button' do %>
    <i class="plus circle icon"></i> New Incompatibility
  <% end %>
</h1>

<div class="ui segment">
  <%= page_entries_info @diet_incompatibilities %>
</div>

<%= paginate @diet_incompatibilities %>

<% if @diet_incompatibilities.any? %>
  <table class="ui striped celled table">
    <thead>
      <tr>
        <th>Restaurant</th>
        <th></th>
      </tr>
    </thead>

    <tbody>
      <% @diet_incompatibilities.each do |diet_incompatibility| %>
        <tr>
          <td><%= diet_incompatibility.restaurant %></td>
          <td>
            <%= link_to diet_incompatibility, method: :delete, class: 'ui negative button' do %>
              <i class="trash icon"></i> Delete
            <% end %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <%= paginate @diet_incompatibilities %>
<% end %>
